org.wildfly.swarm.microprofile.jwtauth

## Class MicroProfileJWTAuthFraction

- java.lang.Object
- - org.wildfly.swarm.microprofile.jwtauth.MicroProfileJWTAuthFraction

- All Implemented Interfaces:
    Fraction<MicroProfileJWTAuthFraction>

      public class MicroProfileJWTAuthFraction
      extends Object
      implements Fraction<MicroProfileJWTAuthFraction>

  A fraction that adds support for the MicroProfile 1.0 JWT RBAC authentication and authorization spec.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MicroProfileJWTAuthFraction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Defaultable<Integer>` | `getExpGracePeriodSecs()`
    `String` | `getPublicKey()`
    `Defaultable<String>` | `getTokenIssuer()`
    `void` | `setExpGracePeriodSecs(Defaultable<Integer> expGracePeriodSecs)`
    `void` | `setPublicKey(String publicKey)`
    `void` | `setTokenIssuer(Defaultable<String> tokenIssuer)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

- - ### Constructor Detail

    - #### MicroProfileJWTAuthFraction

          public MicroProfileJWTAuthFraction()

  - ### Method Detail

    - #### getTokenIssuer

          public Defaultable<String> getTokenIssuer()

    - #### setTokenIssuer

          public void setTokenIssuer(Defaultable<String> tokenIssuer)

    - #### getPublicKey

          public String getPublicKey()

    - #### setPublicKey

          public void setPublicKey(String publicKey)

    - #### getExpGracePeriodSecs

          public Defaultable<Integer> getExpGracePeriodSecs()

    - #### setExpGracePeriodSecs

          public void setExpGracePeriodSecs(Defaultable<Integer> expGracePeriodSecs)

Copyright © 2018 JBoss by Red Hat. All rights reserved.